FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Terminal::Utf8Char Class Reference

## Public Member Functions
Fl_Color | attr_bg_color (const Fl_Widget *grp) const
Fl_Color | attr_fg_color (const Fl_Widget *grp) const
uchar | attrib (void) const
Fl_Color | bgcolor (void) const
uchar | charflags (void) const
void | clear (const CharStyle &style)
Fl_Color | fgcolor (void) const
void | fl_font_set (const CharStyle &style) const
bool | is_char (char c) const
int | length (void) const
int | max_utf8 () const
Utf8Char & | operator= (const Utf8Char &o)
double | pwidth (void) const
int | pwidth_int (void) const
void | show_char (void) const
void | show_char_info (void) const
void | text_ascii (char c, const CharStyle &style)
void | text_utf8 (const char *text, int len, const CharStyle &style)
const char * | text_utf8 (void) const
| Utf8Char (const Utf8Char &o)

The documentation for this class was generated from the following files:

- Fl_Terminal.H
- Fl_Terminal.cxx